> For the complete documentation index, see [llms.txt](https://paas.docs.machnetinc.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://paas.docs.machnetinc.com/api-references/funds/get-user-funding-account.md).

# Get User Funding Account

**Get list of all funding accounts**

You can view all the fundings accounts associated with a user.

#### `GET /users/{{user_id}}/funds?type={{funding_source_type}}`

{% tabs %}
{% tab title="Object Details" %}

| **Field**             | **Type** | **Description**                                            |
| --------------------- | -------- | ---------------------------------------------------------- |
| account\_type         | String   | Type of bank account. Enumerated value CHECKING or SAVINGS |
| account\_number       | String   | Last 4 digits of the funding account number                |
| institution\_name     | String   | Name of the institution/bank associated with the account   |
| verification\_status  | String   | Enumerated value: PENDING, VERIFIED, FAILED.               |
| funding\_source\_type | String   | Enumerated value: CARD, BANK\_ACCOUNT                      |
| id                    | UUID     | ID of the account                                          |
| user\_id              | UUID     | User’s ID                                                  |
| funding\_source\_name | String   | Name of the funding account                                |
| type                  | String   | Enumerated value BANK\_ACCOUNT, CARD                       |
| {% endtab %}          |          |                                                            |

{% tab title="Request Sample" %}
**Bank**

```
curl --location -g --request GET '{{url}}/users/{{user_id}}/funds?type=BANK' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

**Card**

```
curl --location -g --request GET '{{url}}/users/{{user_id}}/funds?type=CARD' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Response Sample" %}
**Bank**

```
[{
        "id": UUID,
        "user_id": UUID,
        "account_number": "8901",
        "funding_source_name": "TEST",
        "funding_source_type": "BANK",
        "institution_name": "CITIBANK NA",
        "verification_status": "VERIFIED"
}]
```

**Card**

<pre><code><strong>[{
</strong>        "id": UUID,
        "user_id": UUID,
        "account_number": "9991",
        "funding_source_name": "VISA-9991",
        "funding_source_type": "CARD", 
        "institution_name": "VISA",
        "verification_status": "VERIFIED"
 }]
</code></pre>

{% endtab %}
{% endtabs %}

**Get funding account by ID**

You can get details of a particular funding account of a send user.

#### `GET /users/{{user_id}}/funds/{{fund_id}}`

{% tabs %}
{% tab title="Request Sample" %}

```
curl --location -g --request GET '{{url}}/users/{{user_id}}/funds/{{fund_id}}' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Response Sample" %}

```
{
        "id": UUID,
        "user_id": UUID,
        "account_number": "9991",
        "funding_source_name": "VISA-9991",
        "funding_source_type": "CARD", 
        "institution_name": "VISA",
        "verification_status": "VERIFIED"
 }
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/funds/get-user-funding-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
